Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.basefaults
Class WsbfConstants

    java.lang.Object
      org.apache.muse.ws.resource.basefaults.WsbfConstants

public class WsbfConstants
extends java.lang.Object

WsbfConstants is a collection of properties that is useful when programming against the WS-BaseFaults spec. This class uses WS-BF v1.2.

Author:
  Dan Jemiolo (danj)

Field Summary
`static QName` | `BASE_FAULT_QNAME`
`static QName` | `DESCRIPTION_QNAME`
`static java.lang.String` | `ERROR_CODE_DIALECT`
`static QName` | `ERROR_CODE_QNAME`
`static QName` | `FAULT_CAUSE_QNAME`
`static java.lang.String` | `NAMESPACE_URI`
`static QName` | `ORIGINATOR_QNAME`
`static java.lang.String` | `PREFIX`
`static QName` | `TIMESTAMP_QNAME`

Constructor Summary
`WsbfConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final java.lang.String NAMESPACE_URI

See Also:
  Constant Field Values

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

### BASE_FAULT_QNAME

    public static final QName BASE_FAULT_QNAME

### DESCRIPTION_QNAME

    public static final QName DESCRIPTION_QNAME

### ERROR_CODE_DIALECT

    public static final java.lang.String ERROR_CODE_DIALECT

See Also:
  Constant Field Values

### ERROR_CODE_QNAME

    public static final QName ERROR_CODE_QNAME

### FAULT_CAUSE_QNAME

    public static final QName FAULT_CAUSE_QNAME

### ORIGINATOR_QNAME

    public static final QName ORIGINATOR_QNAME

### TIMESTAMP_QNAME

    public static final QName TIMESTAMP_QNAME

Constructor Detail

### WsbfConstants

    public WsbfConstants()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD